Respond Invite
Respond to an invite or invite request without accepting it. :notificationId is the ID of the requesting notification.
In case the notification being replied to is an invite, the responseSlot refers to a response message from the the message collection.
In case the notification is an invite request, it will refer to one from the requestResponse collection instead.
Authorization
authCookie Auth Token via Cookie
In: cookie
Path Parameters
Must be a valid notification ID.
Request Body
application/json
Slot number of the Response Message to use when responding to a user.
Response Body
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/invite/string/response" \ -H "Content-Type: application/json" \ -d '{ "responseSlot": 11 }'{
"id": "frq_00000000-0000-0000-0000-000000000000",
"type": "friendRequest",
"created_at": "2021-01-01T00:00:00.000Z",
"details": "{}",
"message": "",
"seen": false,
"senderUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
}{
"error": {
"message": "\"You've already responded to that request.\"",
"status_code": 400
}
}Respond Invite with photo POST
Respond with photo to an invite or invite request without accepting it. `:notificationId` is the ID of the requesting notification. In case the notification being replied to is an invite, the `responseSlot` refers to a response message from the the `message` collection. In case the notification is an invite request, it will refer to one from the `requestResponse` collection instead.'
Update Invite Message PUT
Updates a single Invite Message and then returns a list of all of them. Admin Credentials are required to update messages of other users! Updating a message automatically sets the cooldown timer to 60 minutes. Trying to edit a message before the cooldown timer expires results in a 429 "Too Fast Error". Message type refers to a different collection of messages, used during different types of responses. * `message` = Message during a normal invite * `response` = Message when replying to a message * `request` = Message when requesting an invite * `requestResponse` = Message when replying to a request for invite